###########################################################################
#
# snmp.conf
#
#   - created by the snmpconf configuration program
#
###########################################################################
# SECTION: Default Authentication Options
#
#   This section defines the default authentication
#   information.  Setting these up properly in your
#   ~/.snmp/snmp.conf file will greatly reduce the amount of
#   command line arguments you need to type (especially for snmpv3).

# defaultport: The default port number to use
#   This token specifies the default port number you want packets to 
#   be sent to and received from.
#   override: with -p on the command line.
#   arguments: portnum

defaultport  161

# defversion: The default snmp version number to use.
#   override: with -v on the command line.
#   arguments: 1|2c|3

defversion  2c

# defcommunity: The default snmpv1 and snmpv2c community name to use when needed.
#   If this is specified, you don't need to include the community
#   name as an argument to the snmp applications.  
#   override: with -c on the command line.
#   arguments: communityname

defcommunity  public






###########################################################################
# SECTION: Textual mib parsing
#
#   This section controls the textual mib parser.  Textual
#   mibs are parsed in order to convert OIDs, enumerated
#   lists, and ... to and from textual representations
#   and numerical representations.

# mibdirs: Specifies directories to be searched for mibs.
#   Adding a '+' sign to the front of the argument appends the new
#   directory to the list of directories already being searched.
#   arguments: [+]directory[:directory...]

mibdirs  C:\usr\share\snmp\mibs
mibdirs  C:\usr\share\snmp\mibs

# mibs: Specifies a list of mibs to be searched for and loaded.
#   Adding a '+' sign to the front of the argument appends the new
#   mib name to the list of mibs already being searched for.
#   arguments: [+]mibname[:mibname...]

mibs  +ALL
mibs  +ALL






